Page MenuHomePhabricator

Review and deploy IEG grant review application
Closed, ResolvedPublic

Description

Tracking bug for production deploy of IEG grant review application for the fall 2014 grant review cycle.

This is a stand alone PHP application that has been developed internally by the WMF based on the codebase of the Wikimania Scholarship application. The code for the application is currently on GitHub https://github.com/bd808/wikimedia-iegreview and is pending import into Gerrit https://www.mediawiki.org/w/index.php?title=Git/New_repositories/Requests/Entries&diff=1205181&oldid=1204385.


Version: wmf-deployment
Severity: normal
See Also:
https://rt.wikimedia.org/Ticket/Display.html?id=8578

Details

Reference
bz71597

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:59 AM
bzimport set Reference to bz71597.
bd808 created this task.Oct 3 2014, 5:07 AM
bd808 added a comment.Oct 7 2014, 4:25 PM

Created RT 8578 https://rt.wikimedia.org/Ticket/Display.html?id=8578 to track operational dependencies.

Change 165231 had a related patch set uploaded by BryanDavis:
iegreview: Create module and role for deployment

https://gerrit.wikimedia.org/r/165231

Change 165232 had a related patch set uploaded by BryanDavis:
iegreview: Apply role to zirconium and configure varnish

https://gerrit.wikimedia.org/r/165232

Change 165236 had a related patch set uploaded by BryanDavis:
iegreview: Put iegreview.wikimedia.org behind misc-web-lb.eqiad

https://gerrit.wikimedia.org/r/165236

Change 165231 merged by Dzahn:
iegreview: Create module and role for deployment

https://gerrit.wikimedia.org/r/165231

Change 165232 merged by Dzahn:
iegreview: Provision iegreview application

https://gerrit.wikimedia.org/r/165232

Change 165236 merged by Dzahn:
iegreview: Put iegreview.wikimedia.org behind misc-web-lb.eqiad

https://gerrit.wikimedia.org/r/165236

bd808 added a comment.Oct 20 2014, 8:59 PM

The app is provisioned in production but experiencing a few issues that need to be ironed out. I'll keep plugging away at it.

The application is deployed and has been turned over to Siko for use by the IEG grant review committee.

bd808 moved this task from Backlog to Done on the Wikimedia-IEG-grant-review board.Feb 6 2015, 9:59 PM
bd808 moved this task from Done to Archive on the Wikimedia-IEG-grant-review board.
Restricted Application added a project: User-bd808. · View Herald TranscriptAug 26 2017, 9:40 AM